<!-- commentList 商品评价 -->
<template>
    <div class="suerOrder" ref="main_box" style="background: #fff; padding: 10px">

        <van-radio-group v-model="data.receiptRequired" direction="vertical" @change="optchange" style="margin-top: 20px; margin-left: 10px">
            <van-radio  icon-size="15px" name="NoReceiptRequired">无需收据</van-radio>
            <van-divider />
            <van-radio  icon-size="15px" name="ReceiptRequired">增值税电子普通发票</van-radio>
            <van-divider />
        </van-radio-group>


        <van-radio-group v-model="data.type" direction="vertical" @change="optchange" style="margin-top: 20px; margin-left: 40px" v-if="data.receiptRequired == 'ReceiptRequired'">
            <van-radio  icon-size="15px" name="Company">公司</van-radio>
            <van-divider class="mb0" />
            <van-field
                    v-model="data.companyCode"
                    name="companyCode"
                    label="公司组织代码"
                    placeholder="公司代码"
                    v-if="data.type=='Company'"
            />
            <van-field
                    v-model="data.companyName"
                    name="companyName"
                    label="公司名"
                    placeholder="公司名"
                    v-if="data.type=='Company'"
            />
            <van-field
                    v-model="data.companyPhone"
                    name="companyPhone"
                    label="公司电话"
                    placeholder="公司电话"
                    v-if="data.type=='Company'"
                    style="margin-bottom: 15px"
            />
            <van-radio  icon-size="15px" name="Personal" style="margin-top: 15px">个人</van-radio>
            <van-divider class="mb0" />
            <van-field
                    v-model="data.name"
                    type="name"
                    name="name"
                    label="名称"
                    placeholder="名称"
                    v-if="data.type=='Personal'"
            />
        </van-radio-group>
        <div style="margin: 16px;">
            <van-button round block type="info" @click="onSubmit" style="position: absolute; bottom: 10px; width: 85%">
                Submit
            </van-button>
        </div>

    </div>
</template>

<script>
    import {ImagePreview} from 'vant';

    export default {
        name: 'receipt',
        props: {
            goods_id: {}
        },
        data() {
            return {
                data: {
                    companyCode: '',
                    companyName: '',
                    companyPhone: '',
                    name: '',
                    receiptRequired: '1',
                    type: '0'
                }
            };
        },
        mounted() {
        },
        methods: {
            optchange() {
                console.log('optChanges');
                console.log(this.data.option);
                if(this.data.receiptRequired == 'NoReceiptRequired'){
                    this.data.type = '0';
                }
            },
            onSubmit() {
                console.log(this.data);
                this.m_loading();
                let token = sessionStorage.token
                sessionStorage.receipt = JSON.stringify(this.data);
                let receipt = sessionStorage.receipt;
                this.$router.push('/suerOrder')
            },
        },
    }

</script>
<style lang='scss' scoped>
    body {
        background-color: #fff !important;
    }
    .mb0 {
        margin-bottom: 0px !important;
    }
    .van-field__label {
        width: 2.8rem !important;
    }
</style>